

#ifndef __EXIO_H__
#define __EXIO_H__

#include "config.h"

// 移位寄存扩展IO功能

#ifndef SHIFT_REG_NUM
#define	SHIFT_REG_NUM	0		// 移位寄存器个数,默认使用8位移位寄存器
#endif

#if (SHIFT_REG_NUM < 0)
#undef	SHIFT_REG_NUM
#define SHIFT_REG_NUM 	0
#endif

#if (SHIFT_REG_NUM > 32)
#undef	SHIFT_REG_NUM
#define SHIFT_REG_NUM 	32
#endif

#define IN_NUM_PER_REG		8		// 每个移位寄存器的输入个数
#define OUT_NUM_PER_REG		8		// 每个移位寄存器的输出个数



void InitExInOuts(void);

u8 GetExInputSta(int id);

u8 GetExOutputSta(int id);

void SetExOutputOn(int id);
void SetExOutputOff(int id);

#endif

